﻿using System;
using System.Collections.Generic;
using System.Data;
using Kreta.Enums;

namespace Kreta.DataAccessManual.Interfaces
{
    public interface IEugyintezesDal
    {
        DataSet GetAlkalmazottak(int tanevKretaAzonosito);
        DataSet GetAlkalmazott(int azonosito, int? tanevKretaAzonosito);
        DataSet GetGondviseloGyerekAdatok(int gondviseloAzonosito);
        int GetKozossegiSzolgalatOsszesIgazoltOrakSzama(string tanuloOktatasiAzonosito);
        DataSet GetKozossegiSzolgalatTevekenyseg(int azonosito, int tanevId);
        DataSet GetKozossegiSzolgalatTevekenysegek(int tanevId);
        DataSet GetOsztaly(int azonosito);
        DataSet GetOsztalyok(int tanevKretaAzonosito);
        DataSet GetOsztalyTanulok(int osztalyAzonosito);
        DateTime? GetTanevKezdete(int intezmenyId);
        DataSet GetTanoraiCsoport(int azonosito);
        DataSet GetTanoraiCsoportok(int tanevId);
        DataSet GetTanoraiCsoportTanulok(int tanuloiCsoportAzonosito);
        DataSet GetTantargy(int tantargyAzonosito);
        DataSet GetTanuloAdatok(string tanuloOktatasiAzonosito, int? tanevKretaAzonosito, string intezmenyAzonosito);
        DataSet GetTanuloTantargyak(string tanuloOktatasiAzonosito, int tanevId);
        void SendIedm(string tanuloOktatasiAzonosito, DateTime tavolletKezdete, DateTime tavolletVege);
        DataSet GetKozteruletJellege(int azonosito, int tanevId);
        DataSet GetKozteruletJellegek(int tanevId);
        DataSet GetGondviseloEmailCim(int kretaAzonosito);
        DataSet GetFelhasznaloEmailCim(int kretaAzonosito);
        DataSet GetTanuloTanoraiCsoportok(string tanuloOktatasiAzonosito);
        DataSet GetOsztalyTanoraiCsoportok(int osztalyKretaAzonosito);
        DataSet GetTanevek(int intezmenyId);
        DataSet GetOsszesTanevek(int intezmenyId);
        DataSet GetSZMKOsztalyok(int gondviseloKretaAzonosito);
        DataSet GetAktualisGondviseloCimek(int gondviseloKretaAzonosito, int tanevId);
        DataSet GetFelhasznaloCimek(int felhasznaloKretaAzonosito, int tanevId);
        DataSet GetFelhasznaloCimek(string kretaIntezmenyAzonosito, int felhasznaloKretaAzonosito);
        DataSet GetCim(int cimKretaAzonosito, int tanevId);
        DataSet GetGyerekemOsztalyaBankszamlaszam(int gondviseloKretaAzonosito);
        DataSet GetTanarok(int? tanevKretaAzonosito);
        DataSet GetNOKSAlkalmazottak(int? tanevKretaAzonosito);
        DataSet GetEgyebAlkalmazottak(int? tanevKretaAzonosito);
        DataSet GetOsztalyfonokok(int? tanevKretaAzonosito);
        DataSet GetIgazgatosagiAlkalmazottak(int? tanevKretaAzonosito);
        DataSet GetKretaAdminisztratorok(int? tanevKretaAzonosito);
        DataSet GetOsztalyGondviselok(int osztalyKretaAzonosito, int tanevId);
        DataSet GetTanoraiCsoportGondviselok(int tanoraiCsoportKretaAzonosito, int tanevId);
        DataSet GetAlkalmazottAdatok(int kretaFelhasznaloAzonosito, int? tanevKretaAzonosito);
        DataSet GetGondviseloAdatok(int kretaFelhasznaloAzonosito);
        DataSet GetSZMKKepviselok(int tanevId);
        DataSet GetTanuloAdatokByKretaAzonosito(int kretaAzonosito);
        DataSet GetTanuloOsztalyfonok(string oktatasiAzonosito);
        DataSet GetEUgyintezokEsOsztalyfonokok();
        DataSet GetFoglalhatoTermek(int tanevId);
        DataSet GetFoglalhatoTermekElerhetosegei(int teremId);
        DataSet GetTanitottOsztalyok(int alkalmazottKretaAzonosito);
        DataSet GetOsztalyfonokoltOsztalyok(int alkalmazottKretaAzonosito);
        DataSet GetBulkTanuloSzamlaAdatok(int osztalyCsoportKretaAzonosito, List<string> oktatasiAzonositok);
        DataSet GetBulkAlkalmazottSzamlaAdatok(List<int> kretaFelhasznaloAzonositok, int tanevId);
        DataSet GetBulkGondviseloGyerekAdatok(List<int> gondviseloAzonositok);
        DataSet GetBulkTanulok(List<string> oktatasiAzonositok, int tanevId);
        DataSet GetElsoAlairo(int tanevId);
        DataSet GetAdatszotarByTipus(int kretaAzonosito, GeneratedAdatszotarTipusEnum tipus, int tanevId);
        DataSet GetAdatszotarakByTipus(GeneratedAdatszotarTipusEnum tipus, int tanevId);
        DataSet GetEUgyintezok(int szerepkorTipus, int tanevId);
        DataSet GetTanev(int tanevKretaAzonosito);
        DataSet GetGondviseloGyerekAdatokNextYear(int gondviseloAzonosito, int tanevKretaAzonosito);
        DataSet GetTanuloAdatokNextYear(string tanuloOktatasiAzonosito, int tanevKretaAzonosito);
        DataSet GetTanulokByTanoraiCsoport(int kretaAzonosito);
        DataSet GetTanulokByOsztaly(int kretaAzonosito, int tanevKretaAzonosito, bool isKovetkezoTanev);
        DataSet GetTanitasiRendKivetelNapok(DateTime kezdete, DateTime vege, int intezmenyId);
        int GetIntezmenyId(string intezmenyAzonosito);
        int GetTanevId(int kretaFelhasznaloAzonosito);
        int GetTanevId(string tanuloOktatasiAzonosito, int intezmenyId);
        int GetGondviseloTanevId(int kretaFelhasznaloAzonosito);
        int GetOsztalycsoportTanevId(int azonosito);
        int GetTantargyTanevId(int azonosito);
        DataSet GetTanuloByDiakigazolvanyszam(string diakigazolvanyszam);
        DataSet GetTanuloOsszesOsztalyanakAdataiByTanuloId(int tanuloId, int? tanevKretaAzonosito);
        DataSet GetVezetettTanoraiCsoportok(int alkalmazottKretaAzonosito);
        DataSet GetTanitottTanoraiCsoportok(int alkalmazottKretaAzonosito);
        DataSet GetBulkTanuloAdatok(List<int> kretaAzonositok);
        DataSet GetBulkGondviseloAdatok(List<int> kretaAzonositok);
        DataSet GetBulkAlkalmazottAdatok(List<int> kretaAzonositok);
        DataSet GetOrszagTipus(int orszagKretaAzonosito, int tanevId);
        DataSet GetOrszagTipusok(int tanevId);
        DataSet GetTanuloAdatok(Guid tanuloIdpEgyediAzonosito, int tanevId);
        DataSet GetTanuloAdatokNextYear(Guid tanuloIdpEgyediAzonosito, int tanevKretaAzonosito);
    }
}
